Уязвимость BDU:2022-06000

Дата: 03.10.2013. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-06000.

Наименование уязвимости: Уязвимость реализации механизма сопоставления действий DefaultActionMapper программной платформы Apache Struts, позволяющая нарушителю обойти ограничения безопасности.

Описание уязвимости: Уязвимость реализации механизма сопоставления действий DefaultActionMapper программной платформы Apache Struts связана с недостатками разграничения доступа при обработке параметра action: prefix. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, обойти ограничения безопасности
Уязвимое ПО: Программное средство защиты Oracle Corp. WebCenter Sites 11.1.1.8.0 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 2.2.0.1 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 12.0.1.0 | Программное средство защиты Oracle Corp. WebCenter Sites 11.1.1.6.1 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 1.7 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 2.0 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 2.0.1 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 3.0 | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Private Banking 12.0.2 | Сетевое программное средство Oracle Corp. MySQL Enterprise Monitor до 2.3.14 включительно | Сетевое программное средство Oracle Corp. MySQL Enterprise Monitor от 3.0.0 до 3.0.4 включительно | Прикладное ПО информационных систем IBM Corp. IBM Call Center for Commerce 9.5.0 | Прикладное ПО информационных систем IBM Corp. IBM Call Center for Commerce 10.0 | Сетевое программное средство Apache Software Foundation Apache Struts от 2.0.0 до 2.3.15.1 включительно |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 03.10.2013.
CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,2)

Возможные меры по устранению:
Использование рекомндаций:
Для Apache Struts:
https://cwiki.apache.org/confluence/display/WW/S2-018

Для программных продуктов IBM Corp.:
https://www.ibm.com/blogs/psirt/security-bulletin-ibm-call-center-and-apache-struts-struts-upgrade-strategy-various-cves-see-below/

Для программных продуктов Oracle:
https://www.oracle.com/security-alerts/cpujan2014.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2013-4310.

Тип ошибки CWE: CWE-264
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.ibm.com/blogs/psirt/security-bulletin-ibm-call-center-and-apache-struts-struts-upgrade-strategy-various-cves-see-below/
https://cwiki.apache.org/confluence/display/WW/S2-018
https://www.oracle.com/security-alerts/cpujan2014.html
https://nvd.nist.gov/vuln/detail/CVE-2013-4310

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *